update: support updating to hidden cset if directaccess config is set
ClosedPublic

Authored by pulkit on Dec 26 2017, 2:16 PM.

Details

Summary

This patch adds support for updating to a hidden changeset without using
--hidden if experimental.directacces=True is set. The update command will
print out a warning when updating to a hidden changeset saying:

`updating to a hidden changeset <hash>`

The warning is also printed when directaccess is not used and --hidden is
passed which I think is good behaviour. Tests are added for the directaccess
part and updated output of tests which have case of updating to hidden cset
using --hidden.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
pulkit created this revision.Dec 26 2017, 2:16 PM
yuja requested changes to this revision.Dec 27 2017, 7:28 AM
yuja added a subscriber: yuja.
yuja added inline comments.
mercurial/commands.py
5534

filtername == "visible-hidden" doesn't mean ctx is obsolete.

Maybe we can check ctx.hidden()? It's probably okay to warn
hidden working parent no matter if directaccess is enabled or not.

This revision now requires changes to proceed.Dec 27 2017, 7:28 AM
pulkit updated this revision to Diff 4660.Dec 28 2017, 2:40 PM
pulkit edited the summary of this revision. (Show Details)
yuja accepted this revision.Jan 4 2018, 3:49 AM
This revision is now accepted and ready to land.Jan 4 2018, 3:49 AM
This revision was automatically updated to reflect the committed changes.